Skip to main content
GET
/
v1
/
simulation
/
plan
/
jobs
JavaScript
import Roark from '@roarkanalytics/sdk';

const client = new Roark({
  bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});

const simulationRunPlanJobs = await client.simulationRunPlanJob.list();

console.log(simulationRunPlanJobs.data);
import os
from roark_analytics import Roark

client = Roark(
    bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"),  # This is the default and can be omitted
)
simulation_run_plan_jobs = client.simulation_run_plan_job.list()
print(simulation_run_plan_jobs.data)
curl --request GET \
  --url https://api.roark.ai/v1/simulation/plan/jobs \
  --header 'Authorization: Bearer <token>'


{
  "data": [
    {
      "simulationRunPlanJobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "simulationRunPlanId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "<string>",
      "startedAt": "<string>",
      "endedAt": "<string>"
    }
  ],
  "pagination": {
    "total": 123,
    "hasMore": true,
    "nextCursor": "<string>"
  }
}
{
  "type": "authentication",
  "code": "unauthorized",
  "message": "Authentication required"
}
{
  "type": "forbidden",
  "code": "permission_denied",
  "message": "You do not have permission to access this resource"
}
{
  "type": "rate_limit",
  "code": "too_many_requests",
  "message": "Rate limit exceeded"
}
{
  "type": "internal",
  "code": "internal_error",
  "message": "Internal server error"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:20

Maximum number of plan jobs to return (default: 20, max: 50)

Required range: 1 <= x <= 50
Example:

20

after
string<uuid>

Cursor for pagination - use the nextCursor value from a previous response

Example:

"550e8400-e29b-41d4-a716-446655440000"

status
enum<string>

Filter by plan job status (PENDING, CREATING_SNAPSHOTS, CREATING_SIMULATIONS, RUNNING_SIMULATIONS, ENDING_SIMULATIONS, COMPLETED, FAILED, TIMED_OUT, CANCELLED, CANCELLING)

Available options:
PENDING,
QUEUED,
CREATING_SNAPSHOTS,
CREATING_SIMULATIONS,
RUNNING_SIMULATIONS,
COMPLETED,
FAILED,
TIMED_OUT,
CANCELLED,
CANCELLING,
ENDING_SIMULATIONS
Example:

"COMPLETED"

simulationRunPlanId
string<uuid>

Filter by simulation run plan ID

Example:

"550e8400-e29b-41d4-a716-446655440000"

labelId
string<uuid>

Filter by label ID attached to the plan job. Use this if you know the label ID.

Example:

"550e8400-e29b-41d4-a716-446655440000"

labelName
string

Filter by label name attached to the plan job. More user-friendly alternative to labelId. Case-insensitive.

Example:

"production-ready"

Response

Paginated list of simulation plan jobs

Paginated list of simulation run plan jobs

data
object[]
required
pagination
object
required